<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title>Alle Artikel ausgeben</title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	include("functions.php");
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'erstedatenbank' );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	$sql  = "SELECT max(preis) AS MaxPreis, Haendler, artikel \n";
	$sql .= "FROM LADEN \nGROUP BY Artikel\nORDER BY MaxPreis";
		 
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();


?>

 </body>
</html>